Package org.apache.sling.cpconverter.maven.mojos

## Class ContentPackage

- java.lang.Object
- - org.apache.sling.cpconverter.maven.mojos.ContentPackage

    public class ContentPackage
    extends Object

### Constructor Summary

Constructors
`ContentPackage()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Collection<org.apache.maven.artifact.Artifact>` `getMatchingArtifacts​(Collection<org.apache.maven.artifact.Artifact> artifacts)`
`boolean` `isExcludeTransitive()`
`boolean` `isModuleIsContentPackage()`
`void` `setArtifactId​(String artifactId)`
`void` `setExcludeTransitive​(boolean excludeTransitive)`
`void` `setGroupId​(String groupId)`
`void` `setModuleIsContentPackage​(boolean moduleIsContentPackage)`
`String` `toString()`
`StringBuilder` `toString​(StringBuilder builder)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ContentPackage

    public ContentPackage()

### Method Detail

#### setGroupId

    public void setGroupId​(String groupId)

#### setArtifactId

    public void setArtifactId​(String artifactId)

#### setExcludeTransitive

    public void setExcludeTransitive​(boolean excludeTransitive)

#### isExcludeTransitive

    public boolean isExcludeTransitive()

#### setModuleIsContentPackage

    public void setModuleIsContentPackage​(boolean moduleIsContentPackage)

#### isModuleIsContentPackage

    public boolean isModuleIsContentPackage()

#### getMatchingArtifacts

    public Collection<org.apache.maven.artifact.Artifact> getMatchingArtifacts​(Collection<org.apache.maven.artifact.Artifact> artifacts)

#### toString

    @Nonnull
    public StringBuilder toString​(@Nullable
                                  StringBuilder builder)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`